Bug 64067 - HTML document conversion and viewing text justification issue with Microsoft Word HTML document
Summary: HTML document conversion and viewing text justification issue with Microsoft ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Import
  Show dependency treegraph
 
Reported: 2013-04-30 01:41 UTC by grave_123
Modified: 2019-02-02 06:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Said document (1.60 MB, application/x-gzip)
2013-04-30 11:41 UTC, grave_123
Details

Note You need to log in before you can comment on or make changes to this bug.
Description grave_123 2013-04-30 01:41:30 UTC
Something weird keeps occurring when I view HTML documents that were made in Microsoft Word 2000 and 2003.

If I view the document and/or convert the document from Microsoft's HTML to LibreOffice's HTML in LibreOffice write, the justification with the text isn't both flush right and flush left as I set it in Microsoft Word 2000 and 2003. It is only flush left.
Comment 1 Joel Madero 2013-04-30 04:12:27 UTC
Please attach a document with this behavior.

Marking as NEEDINFO - once you attach mark it as UNCONFIRMED and we will look at it
Comment 2 grave_123 2013-04-30 11:41:20 UTC
Created attachment 78645 [details]
Said document

This is the HTML document that causes the issue. Had to tarball it due to file size.
Comment 3 grave_123 2013-04-30 12:34:20 UTC
Also, this bug effects the Windows version. I tested with 4.0.2 on Windows 7. Same architecture.
Comment 4 Joel Madero 2013-04-30 21:28:08 UTC
Assuming you don't want to be assigned to so removed it (unless you are going to fix the bug?)

Also where am I looking on this long html to see the behavior?
Comment 5 grave_123 2013-04-30 21:30:39 UTC
(In reply to comment #4)
> Assuming you don't want to be assigned to so removed it (unless you are
> going to fix the bug?)
> 
> Also where am I looking on this long html to see the behavior?

It's all along the right side of the text. The text is supposed to be justified (Flush left and flush right) but it isn't it's flush left.
Comment 6 grave_123 2014-01-21 20:13:43 UTC
(In reply to comment #4)
> Assuming you don't want to be assigned to so removed it (unless you are
> going to fix the bug?)
> 
> Also where am I looking on this long html to see the behavior?

Where the heading codes are usually for the underlined titles.
Comment 7 Robinson Tryon (qubit) 2014-02-04 18:41:58 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Assuming you don't want to be assigned to so removed it (unless you are
> > going to fix the bug?)
> > 
> > Also where am I looking on this long html to see the behavior?
> 
> It's all along the right side of the text. The text is supposed to be
> justified (Flush left and flush right) but it isn't it's flush left.

CONFIRMED on Ubuntu 12.04.3 + LO 4.2.0.4

Similar behavior observed with HTML and XHTML export:

./soffice --headless --convert-to html ../index.html

./soffice --headless --convert-to xhtml ../index_orig.html

A quick look at the HTML output shows that the HTML exported by LibreOffice uses direct formatting instead of the CSS employed by Word.

Interestingly, converting the html to xhtml on the command-line generates a file for which firefox gives a syntax error on the doctype...but that's another issue (that I'll go file now... :-)
Comment 8 Joel Madero 2015-05-02 15:43:58 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2016-09-20 09:37:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920